## gnurobots 1.2.0

=== debian/changelog ===
gnurobots (2:1.2.0-6) unstable; urgency=low

  * QA upload.
  * Use dh-autoreconf and drop patches to generated files.

 -- Colin Watson <cjwatson@debian.org>  Tue, 21 May 2013 12:19:22 +0100

gnurobots (2:1.2.0-5) unstable; urgency=low

  * QA upload.
  * Change maintainer to Debian QA Group.
  * Import Ubuntu patches. (Closes: #707363, #641324, #660414)
    But then:
    + Drop 00_fix_mips_FTBFS.patch and 03_disable_werror.patch in
      favor of completely removing the CFLAGS setting in configure.
      This allows debhelper/dpkg-buildflags to set it from debian/rules
      (03_allow_to_set_cflags.patch).
      But enforce setting -O0, since otherwise the built program doesn't
      actually work (See #709102).
    + Drop 02_fix_deprecated_declarations.patch, it is not needed after dropping
      -Werror and it forces a needless dependency on a >wheezy glib.
  * debian/ cleanup:
    + bump debhelper compat to 9
    + use dh
    + use source format 3.0 (quilt)
    + remove obsolete VCS links

 -- Frank Lichtenheld <djpig@debian.org>  Mon, 20 May 2013 22:28:27 +0200

gnurobots (2:1.2.0-4ubuntu5) raring; urgency=low

  * 02_fix_deprecated_declarations.patch: Drop obsolete g_type_init(), to fix
    FTBFS due to deprecated GLib symbols.
  * Add 03_disable_werror.patch to not build with -Werror; this fails with our
    current gcc.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 10 Apr 2013 13:03:11 +0200

gnurobots (2:1.2.0-4ubuntu4) precise; urgency=low

  * Fix FTBFS: replacing g_thread_* deprecated functions. 
    (LP: #935136).

 -- Leo Iannacone <l3on@ubuntu.com>  Sat, 18 Feb 2012 23:52:11 +0100

gnurobots (2:1.2.0-4ubuntu3) oneiric; urgency=low

  * Fix link order to list libraries after the objects that require them
    (LP: #770760).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 12 Sep 2011 17:45:25 +0100

gnurobots (2:1.2.0-4ubuntu2) maverick; urgency=low

  * revert libreadline build-depend to libreadline-dev to fix ftbfs
    (LP: #623358) This can be synced next time hopefully. Thanks
    fabrice and stefano!

 -- Bhavani Shankar <bhavi@ubuntu.com>  Tue, 24 Aug 2010 15:15:47 +0000

gnurobots (2:1.2.0-4ubuntu1) karmic; urgency=low

  * debian/control: Replace b-p on libreadline-dev with libreadline5-dev
    to fix FTBFS.

 -- Stefan Ebner <sebner@ubuntu.com>  Mon, 26 Oct 2009 23:35:08 +0100

gnurobots (2:1.2.0-4) unstable; urgency=low

  * Add quilt patch system.
    - 00_fix_mips_FTBFS - Work around mips libc6-dev bug. Closes: #516963.

 -- Bradley Smith <bradsmith@debian.org>  Tue, 24 Feb 2009 22:34:10 +0000

gnurobots (2:1.2.0-3) unstable; urgency=low

  * Update maintainer email address.
  * Update compat to 7 and upgrade debhelper Build-Depends.
  * Add Vcs-* fields.
  * Convert copyright to machine readable format.

 -- Bradley Smith <bradsmith@debian.org>  Tue, 24 Feb 2009 14:31:41 +0000

gnurobots (2:1.2.0-2) unstable; urgency=low

  * Correct license in debian/copyright. (GPL-2+ -> GPL-3+).
  * Change Architecture back to any, since guile-1.8 now builds on ia64.

 -- Bradley Smith <brad@brad-smith.co.uk>  Wed, 24 Sep 2008 14:19:20 +0100

gnurobots (2:1.2.0-1) unstable; urgency=low

  * New Upstream Release.
  * Correct dependencies.
  * Update Standards-Version to 3.8.0 (No changes).

 -- Bradley Smith <brad@brad-smith.co.uk>  Sun, 03 Aug 2008 22:46:23 +0100

gnurobots (2:1.1.0-2) unstable; urgency=low

  * Remove ia64 from supported architectures.

 -- Bradley Smith <brad@brad-smith.co.uk>  Thu, 05 Jun 2008 18:49:26 +0100

gnurobots (2:1.1.0-1) unstable; urgency=low

  * New upstream release.
  * New Maintainer. Closes: #374125
  * Update Standards Version to 3.7.3 (No changes)
  * Set compat level to 5, depends on at least debhelper 5.
  * Correct build dependencies for new version.
  * Update debian/copyright.
  * Update debian/rules.
  * Add manpage.
  * Add Homepage field.
  * Add watch file.

 -- Bradley Smith <brad@brad-smith.co.uk>  Fri, 30 May 2008 13:14:05 +0100

gnurobots (1:1.0D-7) unstable; urgency=low

  * QA Upload (Closes: #346739, #351950)
  * Set Maintainer to QA Group (Orphaned: #374125)
  * Set compat level to 4, depend on at least dh 4.0.0
  * Update debian/rules
  * Update debian/copyright
  * Conforms with latest Standards Version

 -- Michael Ablassmeier <abi@debian.org>  Wed,  5 Jul 2006 08:10:33 +0200

gnurobots (1:1.0D-6.2) unstable; urgency=medium

  * NMU.
  * Build-depend on guile-1.6-dev instead of libguile-dev.
    Closes: #351950.

 -- Matej Vela <vela@debian.org>  Mon, 20 Feb 2006 09:27:51 +0100

gnurobots (1:1.0D-6.1) unstable; urgency=low

  * Non-maintainer upload
  * Split xlibs-dev build-dep. (Closes: #346739)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Fri, 20 Jan 2006 23:27:40 +0100

gnurobots (1:1.0D-6) unstable; urgency=low

  * Rebuild to allow prelinking. (Closes: #231552)

 -- James LewisMoss <dres@debian.org>  Sun, 14 Mar 2004 10:16:36 -0500

gnurobots (1:1.0D-5) unstable; urgency=low

  * Up version to make cvs-inject happy, but no changes.

 -- James LewisMoss <dres@debian.org>  Thu, 21 Mar 2002 00:42:48 -0500

gnurobots (1:1.0D-4) unstable; urgency=low

  * Up libguile-dev version required (1.4 or greater)  This might fix
    105120

 -- James LewisMoss <dres@debian.org>  Sun, 12 Aug 2001 13:33:53 -0400

gnurobots (1:1.0D-3) unstable; urgency=low

  * Up standards version.

 -- James LewisMoss <dres@debian.org>  Fri, 27 Jul 2001 17:53:49 -0400

gnurobots (1:1.0D-2) unstable; urgency=low

  * Recompile with new libguile9.  Add conflicts.
  * Add build depends. (Closes: #85307)
  * Remove undocumented links. (lintian warnings)
  * Don't install installation documents (lintian warning)

 -- James LewisMoss <dres@debian.org>  Tue, 13 Feb 2001 01:42:21 -0500

gnurobots (1:1.0D-1) unstable; urgency=low

  * New upstream. (Closes: #67971)
  * Apply patch for colour allocation from bug.  (Closes: #58252)
  * Examples from bug report no longer in source. (Closes: #58251)

