=== debian/control ===
Source: gnurobots
Section: games
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.8.0
Build-Depends: debhelper (>= 9~), guile-1.8-dev, libreadline-dev, libgtk2.0-dev, libvte-dev, dh-autoreconf
Homepage: http://www.gnu.org/software/gnurobots/

Package: gnurobots
Architecture: any
Conflicts: libguile9 (<< 1:1.4-7)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Program a robot to explore a world
 GNU Robots is a game/diversion where you construct a program for a
 little robot, then watch him explore a world. The world is filled with
 baddies that can hurt you, objects that you can bump into, and food
 that you can eat. The goal of the game is to collect as many prizes as
 possible before you are killed by a baddie or you run out of energy.
 .
 Programs for the robot are written in Scheme.
