=== debian/watch ===
version=3
http://ftp.gnu.org/gnu/gnurobots/gnurobots-([\d.]+)\.tar\.gz
